# Domains

Domains API manages domains, domain keys and DNS verification.

 - [GET /v4/domains](https://documentation.mailgun.com/docs/inboxready/api-reference/optimize/mailgun/domains/get-v4-domains.md): Get the list of domains. Can be filtered by state or authority. Sorting is optional. The list is paginated and limited to 1000 items per page.
 - [POST /v4/domains](https://documentation.mailgun.com/docs/inboxready/api-reference/optimize/mailgun/domains/post-v4-domains.md): Creates a domain for sending emails
 - [GET /v4/domains/{name}](https://documentation.mailgun.com/docs/inboxready/api-reference/optimize/mailgun/domains/get-v4-domains--name-.md): Fetches json representation of a domain that includes details about the domain's state and settings.
 - [PUT /v4/domains/{name}](https://documentation.mailgun.com/docs/inboxready/api-reference/optimize/mailgun/domains/put-v4-domains--name-.md): Update domain configuration like smtp credentials, enable/disable automatic sender security, spam actions, wildcard, or tracking web scheme.
 - [PUT /v4/domains/{name}/verify](https://documentation.mailgun.com/docs/inboxready/api-reference/optimize/mailgun/domains/put-v4-domains--name--verify.md): Verify the domains DNS records (includes A, CNAME, SPF, DKIM and MX records) to ensure the domain is ready and able to send
 - [DELETE /v3/domains/{name}](https://documentation.mailgun.com/docs/inboxready/api-reference/optimize/mailgun/domains/delete-v3-domains--name-.md): The domain must not be disabled or used as an authority for an other domain. Sandbox domain can't be deleted.
